@book{kernighan1978
  , author    = "B.W. Kernighan and D.M. Richtie"
  , title     = "The {C} Programming Language"
  , publisher = "Prentice Hall, Englewood Cliffs, N.J."
  , year      = "1978"
}

@book{knuth1992
  , title     = "Literate Programming"
  , author    = "Donald E. Knuth"
  , year      = "1992"
  , publisher = "Stanford University Center for the Study of Lang. and Information"
  , series    = "CSLI Lecture Notes Number 27"
}

@book{knuth1986
  , title     = {The \TeX book}
  , author    = {Donald E. Knuth}
  , year      = {1986}
  , publisher = {Addison-Wesley Publishing Company}
  , edition   = {7th}
}

@book{goossens1997
  , title     = {The LaTeX Graphics Companion}
  , author    = {Michel Goossens and Sebastian Rahtz and Frank Mittelbach}
  , year      = {1997}
  , publisher = {Addison-Wesley}
}

@misc{jno2018
  , title     = "Program Design by Calculation"
  , author    = "José Nuno Oliveira"
  , year      = 2018
  , edition   = "Draft of textbook in preparation"
}

@online{ieee8211g
  , author = "Intel"
  , title = "Different Wi-Fi Protocols and Data Rates"
  , year = "2019"
  , url = "https://www.intel.com/content/www/us/en/support/articles/000005725/network-and-io/wireless-networking.html"
  , urldate = "2019-12-04"
}